Subject: [Webpush] bad application servers

From: Martin Thomson <[email-masked]>
Date: Thu, 7 Apr 2016 16:44:22 -0300

Darshak asked about bad application servers in relation to setting
urgency too high.

This is a DoS attack and can be remedied by removing a subscription.
A user agent also has the option of doing this if it sees that there
are many unwanted messages being delivered.  This is something that we
do in Firefox already.  We detect that messages are unwanted by virtue
of the fact that the user isn't visiting the site.

An intermediate alternative suggests itself.  If we are able to
segregate subscriptions into multiple subscription sets, we could put
bad application servers into subscription sets that we don't check
often (or we only check with high urgency) depending on our current
state.